Package org.eclipse.microprofile.openapi.apps.airlines.resources

## Class AvailabilityResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.resources.AvailabilityResource

    @Path("/availability")
    public class AvailabilityResource
    extends Object

### Constructor Summary

Constructors
`AvailabilityResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `getFlights​(String departureDate, String airportFrom, String returningDate, String airportTo, int numberOfAdults, int numberOfChildren)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvailabilityResource

    public AvailabilityResource()

### Method Detail

#### getFlights

    @GET
    @Produces("application/json")
    public jakarta.ws.rs.core.Response getFlights​(@QueryParam("departureDate")
                                                  String departureDate,
                                                  @QueryParam("airportFrom")
                                                  String airportFrom,
                                                  @QueryParam("returningDate")
                                                  String returningDate,
                                                  @QueryParam("airportTo")
                                                  String airportTo,
                                                  @QueryParam("numberOfAdults")
                                                  int numberOfAdults,
                                                  @QueryParam("numberOfChildren")
                                                  int numberOfChildren)